part of 'game_prize_loader_bloc.dart';

@freezed
class GamePrizeLoaderState with _$GamePrizeLoaderState {
  const factory GamePrizeLoaderState({
    required List<GamePrize> gamePrize,
    required Option<GameFailure> failureOptionGamePrize,
    @Default(false) bool isFetching,
  }) = _GamePrizeLoaderState;

  factory GamePrizeLoaderState.initial() =>
      GamePrizeLoaderState(gamePrize: [], failureOptionGamePrize: none());
}
